Package it.ernytech.tdlib

## Class TdApi.VideoNote

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.VideoNote

Enclosing class:
  TdApi

    public static class TdApi.VideoNote
    extends TdApi.Object

Describes a video note. The video must be equal in width and height, cropped to a circle, and stored in MPEG4 format.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the video, in seconds; as defined by the sender.
`int` `length` Video width and height; as defined by the sender.
`TdApi.PhotoSize` `thumbnail` Video thumbnail; as defined by the sender; may be null.
`TdApi.File` `video` File containing the video.

### Constructor Summary

Constructors
`VideoNote()` Default constructor.
`VideoNote​(int duration, int length, TdApi.PhotoSize thumbnail, TdApi.File video)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### duration

    public int duration

Duration of the video, in seconds; as defined by the sender.

#### length

    public int length

Video width and height; as defined by the sender.

#### thumbnail

    public TdApi.PhotoSize thumbnail

Video thumbnail; as defined by the sender; may be null.

#### video

    public TdApi.File video

File containing the video.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### VideoNote

    public VideoNote()

Default constructor.

#### VideoNote

    public VideoNote​(int duration,
                     int length,
                     TdApi.PhotoSize thumbnail,
                     TdApi.File video)

Constructor for initialization of all fields.

Parameters:
  `duration` - Duration of the video, in seconds; as defined by the sender.
  `length` - Video width and height; as defined by the sender.
  `thumbnail` - Video thumbnail; as defined by the sender; may be null.
  `video` - File containing the video.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR